Creates a new job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "77efde81-42d5-464e-86d1-c9f2d3b7e988",
  "jobs_id": "5019b112-9323-4516-b3f4-80773f735af1",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "621313bf-953d-46ba-bf4c-0409830b3984",
    "_parent_id": "d3d0c558-b995-4079-86ac-458749d4fc5d",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "5a330096-8632-4ce7-89db-4fae9df3e07d",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "2c9b7fd5-3cc8-4f47-bea4-105b8864ee7e",
      "_parent_id": "42927b5e-500f-4f0e-8d25-e9e965e02c42",
      "root_parent_id": "c13dc2eb-5fcc-4607-b176-f709a93a4a07",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "4de7be5b-acf0-4736-8a1b-c309b373bce2",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "a91ef2a5-a2c5-4db2-ace4-6c29caa31143",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "e70a54bd-d2a8-45dd-a8f1-541d8dbc5f93",
        "_parent_code": "sample string 6",
        "sales_organization_id": "f65efab3-bdec-4fbb-b559-6a7dec5527ad",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
          "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
          "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
        },
        "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
      },
      "equipment_model_id": "8a9cae2b-1abc-4e7c-9360-8a6421e01527",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "bb3cf960-9ddc-40e5-9fdb-586abad0ac34",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "cf1699fa-6d75-414f-8999-199b5a46bc8a",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "92c92a80-b439-404e-88f1-04ff734403da",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "dcfc253b-ac21-42ff-a62e-faef45a837a6",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
            "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
            "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
          },
          "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
        },
        "equipment_family_id": "4eb2a55d-ad24-4add-a439-cdb057d09030",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "a91ef2a5-a2c5-4db2-ace4-6c29caa31143",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "e70a54bd-d2a8-45dd-a8f1-541d8dbc5f93",
          "_parent_code": "sample string 6",
          "sales_organization_id": "f65efab3-bdec-4fbb-b559-6a7dec5527ad",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
            "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
            "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
          },
          "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
        },
        "date_in_production_since": "2026-11-10T12:10:51.464787+00:00",
        "date_out_of_production_since": "2026-11-10T12:10:51.464787+00:00",
        "date_end_support": "2026-11-10T12:10:51.464787+00:00",
        "sales_organization_id": "bfbd0856-2d18-48a2-993a-f38a52c4448e",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
          "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
          "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
      },
      "project_status_id": "9e7dfa90-89b4-46dd-8da3-67a2adb85fde",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "6bfeb9df-32ae-4bfb-ba5e-f71c127e211b",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "5eba1a66-c7ed-4a52-bd91-2070bc5550bf",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
          "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
          "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
      },
      "company_id": "ea6e1027-339d-46af-8c6a-a4dd5990ebda",
      "company_code": "sample string 12",
      "db_address_id": "9df0a043-58da-4673-b59e-83d9f7e9b277",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "659c63d6-72e5-4ef5-873c-f2cad172bec3",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "0bfba070-bb0d-48d0-8c1f-2d46d7836785",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-10T12:10:51.464787+00:00",
      "date_create": "2026-11-10T12:10:51.464787+00:00",
      "date_update": "2026-11-10T12:10:51.464787+00:00",
      "updated_by_user_id": "b440984e-872a-4bdf-8052-ee58414de10d",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-10T12:10:51.464787+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-10T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-10T12:10:51.464787+00:00",
      "date_last_job": "2026-11-10T12:10:51.464787+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-10T12:10:51.464787+00:00",
      "modified_dateutc": "2026-11-10T12:10:51.464787+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "86012e48-f0dc-4adc-9c8f-4589c4e946ba",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "40664173-6800-48a8-a892-cb296bff2e45",
      "name": "sample string 2",
      "sales_organization_id": "6877a215-33cd-463e-befe-6d880d537d35",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-10T12:10:51.464787+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "d257adfc-d090-4623-90c7-c0e824daa36d",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "d780991b-c13f-49df-9e4f-16a5acd2351a",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "b4df7e4f-97fd-4019-8346-bb3eaf2c7f31",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
        "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
        "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
    },
    "job_status_id": "172a67b7-e498-4384-b84c-4205d3f1844d",
    "job_status_code": "sample string 11",
    "db_address_id": "00b3138b-b980-4b92-bcd7-ec90ed4e6a20",
    "contact_id": "479a93db-3b6c-4f15-bc27-5b74ee21ec6c",
    "requested_by_company_id": "91ffb96e-3971-4c4a-87b5-7f5bce0fe51d",
    "requested_by_contact_id": "0a394f8d-11b6-4452-bfa2-baf3216c29f9",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-10T12:10:51.464787+00:00",
    "due_date": "2026-11-10T12:10:51.4757751+00:00",
    "date_create": "2026-11-10T12:10:51.4757751+00:00",
    "date_update": "2026-11-10T12:10:51.4757751+00:00",
    "date_closed": "2026-11-10T12:10:51.4757751+00:00",
    "suggested_user_id": "051671c0-ae6d-4d2f-a858-41388749de01",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "dc300346-e4ee-4ce7-a6fc-7841ef8e73cf",
      "db_language_id": "45ff4fe9-a9ca-4619-9bfb-d577a68137eb",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-10T12:10:51.4757751+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "e6d1d1a2-c1ca-4059-9318-4e3327a75be0",
      "sales_organization": {
        "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
        "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
        "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "9f090ca8-001f-4752-88c3-cc1edb35bac4",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "600ece01-b95f-45f4-9a00-385960c2d809",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-10T12:10:51.4757751+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "5f61d7cd-2949-4fdc-af76-7ad6e3a8cd0b"
    },
    "suggested_date_start": "2026-11-10T12:10:51.4757751+00:00",
    "skill_id": "cf10f35b-f3ea-4a54-890f-31b3e4c6245f",
    "skill_code": "sample string 32",
    "skill": {
      "id": "43a1d3a8-95d9-4abe-be14-c007d141c297",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "8e41b9cb-83f6-412c-b826-0d34207fade2",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "e4c9147c-00b9-40c4-89fa-16dc0012fc87",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "06d967ee-9c4c-4701-ae6a-c1e2ae4e6f60",
        "db_currency_id": "be2bfac1-2402-411d-98c6-f0cf521b5226",
        "db_language_id": "9b6e446a-9f5a-4c61-8d0f-a7a0dfd73042",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-10T12:10:51.464787+00:00"
      },
      "modified_dateutc": "2026-11-10T12:10:51.4757751+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "510525ac-f38d-4fe2-9650-b13f697c33ea",
    "date_reported_by_company": "2026-11-10T12:10:51.4757751+00:00",
    "id2": 36,
    "company_id": "82232413-381e-4cba-80b2-f28ec2040ab2",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "b5747f79-ffc3-49e3-8c6e-fb2f736faacb",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-10T12:10:51.4757751+00:00"
  },
  "work_instruction_details_id": "cae3f2b4-d90f-45e7-a14d-48937fd783fe",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "0c960100-afdb-445c-a950-4ab5977b470f",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "281f2ddc-cb92-4923-8e07-b5b45fc1a5e4",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-10T12:10:51.4757751+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "0327fc2b-8e49-453a-8a5c-1c213dfc08ac",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-10T12:10:51.4757751+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.